Name:		xlockmore
Summary:	An X terminal locking program
Version:	5.32
%define subrel	1
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Other
Url:		http://www.tux.org/~bagleyd/xlockmore.html
Source:		http://www.tux.org/~bagleyd/xlock/%name-%version/%name-%version.tar.bz2
Source1:	xlock.pamd
Patch0:		xlockmore-5.32-soundpath.patch
Patch3:		xlockmore-5.32-include_ftgl_path.patch
Patch4:		xlockmore-5.32-CVE-2012-4524.patch
Requires:	pam >= 0.59
Requires:	fortune-mod
Requires:	pam
#fhimpe: needed for chkpwd group
Requires:	setup >= 2.7.12-2
BuildRequires:	gtk+2-devel
BuildRequires:	mesa-common-devel 
BuildRequires:	pam-devel
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	xpm-devel

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screensaver until you type
in your password.

Install the xlockmore package if you need a locking program to secure
X sessions.

%package gtk2
Summary:	A GTK2 front-end to xlockmore
Url:		http://www.tux.org/~bagleyd/xlockmore.html
Group:		Graphical desktop/Other
License:	BSD
Requires:	xlockmore

%description gtk2
A GTK2 front-end to xlockmore.

%prep
%setup -q
%patch0 -p1 -b .soundpath
%patch3 -p1 -b .include_ftgl_path
%patch4 -p1 -b .CVE-2012-4524

%{__sed} -i -e "s,/lib,/%{_lib},g" configure

%build
autoconf

%configure2_5x \
	--without-motif \
	--with-gtk2 \
	--without-gtk \
	--enable-pam \
	--enable-syslog \
	--disable-setuid \
	--with-crypt \
	--without-rplay \
	--enable-appdefaultdir=%{_datadir}/X11/app-defaults
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/sounds/xlockmore

perl -p -i -e 's/-o root//g' Makefile */Makefile
%makeinstall

install -m644 xlock/xlock.man -D %{buildroot}%{_mandir}/man1/xlock.1
install -m644 xlock/XLock.ad -D %{buildroot}%{_datadir}/X11/app-defaults/XLock
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/pam.d/xlock

cp sounds/*.au %{buildroot}%{_datadir}/sounds/xlockmore
rm -rf %{buildroot}%{_mandir}/xlock.1*
chmod 755 %{buildroot}%{_bindir}/xlock


%{__mkdir_p} %{buildroot}%{_datadir}/applications

cat >> %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xlock
Comment=X11 screen saver
Icon=gnome-lockscreen
Exec=xlock
Terminal=false
Type=Application
Categories=System;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(2755,root,chkpwd) %{_bindir}/xlock
%{_mandir}/man1/xlock.1*
%config(noreplace) %{_datadir}/X11/app-defaults/XLock
%{_datadir}/sounds/xlockmore
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/pam.d/*

%files gtk2
%defattr(-,root,root)
%{_bindir}/xglock
%{_datadir}/xlock


%changelog

* Wed Nov 07 2012 luigiwalser <luigiwalser> 5.32-1.1.mga1
+ Revision: 315460
- fix desktop file embedded in spec
- do not have extension in icon in desktop file
- rediff patch from netbsd to fix CVE-2012-4524

* Thu Mar 03 2011 ahmad <ahmad> 5.32-1.mga1
+ Revision: 62751
- update to 5.32
- rediff patches
- enable parallel make
- drop esound-devel BR (phasing esound out of the distro)
- drop un-applied patch (been un-applied for 2 years)

* Thu Jan 20 2011 pterjan <pterjan> 5.28-3.mga1
+ Revision: 25761
- imported package xlockmore

